/*************************************************************************
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 * 
 * Copyright 2008 by Sun Microsystems, Inc.
 *
 * OpenOffice.org - a multi-platform office productivity suite
 *
 * $RCSfile: XFormatCondition.idl,v $
 * $Revision: 1.3 $
 *
 * This file is part of OpenOffice.org.
 *
 * OpenOffice.org is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 3
 * only, as published by the Free Software Foundation.
 *
 * OpenOffice.org is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3 for more details
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU Lesser General Public License
 * version 3 along with OpenOffice.org.  If not, see
 * <http://www.openoffice.org/license.html>
 * for a copy of the LGPLv3 License.
 *
 ************************************************************************/

#ifndef __ooo_vba_excel_XFormatCondition_idl__
#define __ooo_vba_excel_XFormatCondition_idl__

#ifndef __com_sun_star_script_BasicErrorException_idl__
#include <com/sun/star/script/BasicErrorException.idl>
#endif

#ifndef __ooo_vba_XHelperInterface_idl__
#include <ooo/vba/XHelperInterface.idl>
#endif

module ooo {  module vba { module excel { 

interface XFont;
interface XInterior;
interface XBorders;

interface XFormatCondition 
{
    interface  ::ooo::vba::XHelperInterface;

    void Delete(  ) raises ( com::sun::star::script::BasicErrorException );

    /**
    @param Type
    @param Operator
    Optional.
    @param Formula1
    Optional.
    @param Formula2
    Optional.
    @return void
    **/
    void Modify( [in] long Type, [in]  /*Optional*/ any Operator, [in]  /*Optional*/ any Formula1, [in]  /*Optional*/ any Formula2 ) raises ( com::sun::star::script::BasicErrorException );
    
    long Type( ) raises ( com::sun::star::script::BasicErrorException );
    
    long Operator( ) raises ( com::sun::star::script::BasicErrorException );
    
    string Formula1( ) raises ( com::sun::star::script::BasicErrorException );
    
    string Formula2( ) raises ( com::sun::star::script::BasicErrorException );
    
    XInterior Interior( ) raises ( com::sun::star::script::BasicErrorException );

    any Borders( [in] any Index) raises ( com::sun::star::script::BasicErrorException );
    
    XFont Font( ) raises ( com::sun::star::script::BasicErrorException );
};


}; }; };

#endif
